# File I/O

pathToSource = "C:/python/my_code/"  # dir tree structure
# urlToSource = "https://google.com/mytext.txt"

#fileInput = input("Upload filename?:")
fileInput = "mytext.txt"
fileSource = fileInput # object to file USER 

filePath = pathToSource + fileSource # C:/python/my_code/mytext.txt

# Use file variable to open the file directly Python
myFile = open(filePath, 'r')   # structural variable
content = myFile.read()
# print(content)  # variable in memory
# print(myFile) # memory address
# print(myFile.read()) # reads the file directly
myFile.close()

# Use with keyword to open the file being Pythonic
with open(filePath, 'r') as myFile:
    content = myFile.read()  # read() stores all data in memory
    print(content)

# Append a line to the file
appendText = input("What do you want to write to the file?: ")

with open(filePath, 'a') as myFile:
    myFile.write(appendText)
     # no need for explicit close() because with keyword handles it implicitly

# Use with keyword to open the file being Pythonic
with open(filePath, 'r') as myFile:
    print("New Text from File")
    print("==================")
    content = myFile.read()  # read() stores all data in memory
    print(content)

# Create a log file using a name + system date
logFileName = "MyLog"
# Datetime to get the current date
from datetime import date
logFileDate = date.today()   # date format
formatDate = logFileDate.strftime("%m%d%Y") # string format date
#fileSource
fileSource = logFileName + "-" + formatDate + ".txt"

with open(fileSource, 'a') as myFile:
    myFile.write("This is data in the file.")

# Creating Directory for our Source
import os

directory_name = "NewDirectory"

# try finally
try:
    os.mkdir(directory_name)
    print(f"Directory {directory_name} was created.")  # view
    print("Directory " + directory_name + " was created.") # view and variables TYPES have to match
    print("Directory", directory_name, " was created.") # parameters controller
except FileExistsError:
    print("Directory already exists")
except OSError as error:
    print(error)
except Exception as error:
    print(error)

# list the directories
# get the current working directory
currentDirectory = os.getcwd()  # directory
# list the directories
all_dirs = os.listdir(currentDirectory) # List []
print(all_dirs) # List
# for loop
for d in all_dirs:
    print(d)


