# CSV structurd data
# contacts.csv

# csv module Python Standard Module
import csv  # lines()

# filename
fileName = "contacts.csv"

# General Purpose Container  List, Tuple, Set, Dict
# List
lines = [] # empty list

# open csv as Object  with keyword
with open(fileName) as csv_file:
    csv_reader = csv.reader(csv_file, delimiter=',')
    # create a variable to hold each line
    for line in csv_reader:
        # append the line to lines[]
        lines.append(line)

print("Current CSv File Data")
print("=====================")
print("Raw Data")
print(lines) # List
print()
print("Formatted with Header Row")
print("=========================")
headerline = lines[0]   # line at 0
datalines = lines[1:]   # all lines starting at 1
toptenlines = lines[1:12]  # lines 1 thru 11 (not including the stop)
lastline = lines[:1]  # last line as the line as no index 1
# [start:stop]  [int:int]  [1:12]
# [ :startEnd]  [:int]     [:-5]
# [start:  ]    [int:]     [3:]
print(headerline)
print(datalines)

### Entry Form for New Contact as DICT
print()
print("New Contact Form")
print("================")
newName = input("Enter the name: ")
newAge = input("Enter the contact age: ")

if int(newAge) < 1:
    print("You entered an invalid age")

newVIP = input("Enter VIP Status (True/False): ")


print("New Contact Information")
print("Name: ", newName, "Age: ", newAge, "VIP: ", newVIP)

with open(fileName, 'a', newline='') as csv_file:
    myFieldNames = ['Name','Age','VIP']
    mywriter = csv.DictWriter(csv_file, fieldnames=myFieldNames)
    mywriter.writerow({ 'Name': newName, 'Age': newAge, 'VIP': newVIP  })

# Run a contact report
report_template = "contactReport.txt"

# read the template into an object in memory
template = "" # sets up the empty object in memory
with open(report_template, 'r') as file:
    template = file.read()

# read the csv data to populate the template object in memory
with open(fileName, 'r', newline='') as file:
    reader = csv.reader(file)

    # from the object in memeory from the csv reader, use the replace method to bind the template varibles in memeory
    for row in reader:
        # clean up data strip() whitespace , handle case issue with title()
        Name = row[0].strip().title()
        Age = row[1].strip()
        Vip = row[2].strip().upper()

        invoiceNum = 1

        # report text
        report_text = template.replace("{Name}", Name)
        report_text = report_text.replace("{Age}", Age)
        report_text = report_text.replace("{VIP}", Vip)

        #print(report_text)

        reportFileName = "ContactInformation-" + Name + ".txt"
        invoiceName = "Invoice Number " + invoiceNum + ".pdf"
        with open(reportFileName, 'w') as file:
            file.write(report_text)

        
        
# convert the txt to a pdf
# pypi website